[arch-commits] Commit in enblend-enfuse/repos (6 files)

Felix Yan fyan at archlinux.org
Tue Nov 4 14:46:33 UTC 2014


    Date: Tuesday, November 4, 2014 @ 15:46:33
  Author: fyan
Revision: 225616

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  enblend-enfuse/repos/staging-i686/
  enblend-enfuse/repos/staging-i686/PKGBUILD
    (from rev 225615, enblend-enfuse/trunk/PKGBUILD)
  enblend-enfuse/repos/staging-i686/enblend-enfuse.install
    (from rev 225615, enblend-enfuse/trunk/enblend-enfuse.install)
  enblend-enfuse/repos/staging-x86_64/
  enblend-enfuse/repos/staging-x86_64/PKGBUILD
    (from rev 225615, enblend-enfuse/trunk/PKGBUILD)
  enblend-enfuse/repos/staging-x86_64/enblend-enfuse.install
    (from rev 225615, enblend-enfuse/trunk/enblend-enfuse.install)

---------------------------------------+
 staging-i686/PKGBUILD                 |   32 ++++++++++++++++++++++++++++++++
 staging-i686/enblend-enfuse.install   |   22 ++++++++++++++++++++++
 staging-x86_64/PKGBUILD               |   32 ++++++++++++++++++++++++++++++++
 staging-x86_64/enblend-enfuse.install |   22 ++++++++++++++++++++++
 4 files changed, 108 insertions(+)

Copied: enblend-enfuse/repos/staging-i686/PKGBUILD (from rev 225615, enblend-enfuse/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2014-11-04 14:46:33 UTC (rev 225616)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: tobias <tobias at archlinux.org>
+# Contributor: Dominik Ryba <domryba at post.pl>
+
+pkgname=enblend-enfuse
+pkgver=4.1.1
+pkgrel=9
+pkgdesc="Intelligent blend tool for overlapping picture"
+arch=("i686" "x86_64")
+license=('GPL')
+url="http://enblend.sourceforge.net"
+depends=('openexr' 'glew' 'freeglut' 'lcms2' 'boost-libs' 'vigra' 'gsl')
+makedepends=('boost' 'mesa')
+replaces=('enblend')
+conflicts=('enblend')
+provides=('enblend')
+install=${pkgname}.install
+source=(http://downloads.sourceforge.net/sourceforge/enblend/${pkgname}-${pkgver}.tar.gz)
+sha1sums=('bc18fca3033b031d603b22678b2e680a0ffae1b6')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 doc/enblend.info "${pkgdir}/usr/share/info/enblend.info"
+  install -D -m644 doc/enfuse.info "${pkgdir}/usr/share/info/enfuse.info"
+}

Copied: enblend-enfuse/repos/staging-i686/enblend-enfuse.install (from rev 225615, enblend-enfuse/trunk/enblend-enfuse.install)
===================================================================
--- staging-i686/enblend-enfuse.install	                        (rev 0)
+++ staging-i686/enblend-enfuse.install	2014-11-04 14:46:33 UTC (rev 225616)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(enblend.info enfuse.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: enblend-enfuse/repos/staging-x86_64/PKGBUILD (from rev 225615, enblend-enfuse/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2014-11-04 14:46:33 UTC (rev 225616)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: tobias <tobias at archlinux.org>
+# Contributor: Dominik Ryba <domryba at post.pl>
+
+pkgname=enblend-enfuse
+pkgver=4.1.1
+pkgrel=9
+pkgdesc="Intelligent blend tool for overlapping picture"
+arch=("i686" "x86_64")
+license=('GPL')
+url="http://enblend.sourceforge.net"
+depends=('openexr' 'glew' 'freeglut' 'lcms2' 'boost-libs' 'vigra' 'gsl')
+makedepends=('boost' 'mesa')
+replaces=('enblend')
+conflicts=('enblend')
+provides=('enblend')
+install=${pkgname}.install
+source=(http://downloads.sourceforge.net/sourceforge/enblend/${pkgname}-${pkgver}.tar.gz)
+sha1sums=('bc18fca3033b031d603b22678b2e680a0ffae1b6')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 doc/enblend.info "${pkgdir}/usr/share/info/enblend.info"
+  install -D -m644 doc/enfuse.info "${pkgdir}/usr/share/info/enfuse.info"
+}

Copied: enblend-enfuse/repos/staging-x86_64/enblend-enfuse.install (from rev 225615, enblend-enfuse/trunk/enblend-enfuse.install)
===================================================================
--- staging-x86_64/enblend-enfuse.install	                        (rev 0)
+++ staging-x86_64/enblend-enfuse.install	2014-11-04 14:46:33 UTC (rev 225616)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(enblend.info enfuse.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list